## budgie-desktop 10.6.1

=== meson_options.txt ===
option('with-stateless', type: 'boolean', value: false, description: 'Enable stateless XDG paths')
option('with-polkit', type: 'boolean', value: true, description: 'Enable PolKit support')
option('with-gtk-doc', type: 'boolean', value: true, description: 'Build gtk-doc documentation')
option('xdg-appdir', type: 'string', description: 'XDG autostart path')
option('with-gnome-screensaver', type: 'boolean', value: false, description: 'Build using gnome-screensaver as a dependency')

=== debian/changelog ===
budgie-desktop (10.6.1-1) unstable; urgency=medium

  * New upstream bug-fix release
    - Drop all patches since the microrelease contains these except
      desktopfolder_exename.patch,
      show-tray-icon.patch,
      use-ibus-daemonize.patch
      (LP: #1967282)
  * Packaging Changes
    - d/changelog-announcement incorporates upstream release notice

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 31 Mar 2022 12:33:01 +0100

budgie-desktop (10.6-4) unstable; urgency=medium

  * Upload to unstable
    - part of the GNOME 42/mutter transition

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 28 Mar 2022 19:22:00 +0100

budgie-desktop (10.6-3) experimental; urgency=medium

  * Bug-fixes
    - Fix drag-drop regression in icon-tasklist
      Fix-regression-in-IconTasklist.patch
    - Fix regression where Super+C no longer clears notifications
      Re-connect-to-the-Raven-signal-to-clear-all-notifica.patch
    - Fix regression where new application icons that don't
      appear in the icon-tasklist
      Ensure-new-applications-icons-are-displayed-in-taskl.patch
    - Don't spam the journal log when clearing notifications
      Don-t-modify-notification-group-HashTables-while-ite.patch
    - Fix regression where apps such as discord that has splash screens
      are not removed from icon-tasklist
      Remove-check-for-window-hints-when-removing-button-i.patch
  * Packaging Changes
    - update libraven symbols for new methods from raven signal patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 24 Mar 2022 22:38:57 +0000

budgie-desktop (10.6-2) experimental; urgency=medium

  * Bug-fixes
    - Prevent crash when popover is removed
      Add-a-null-check-to-budgie_popover_manager_ungrab.patch
    - Open on the notifications stack when the notification applet clicked
      Fix-inconsistency-when-opening-Raven-68.patch
  * - Ensure notifications stack when apps such as lollypop fire
      notifications in quick succession
      improve-notification-racyness.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 16 Mar 2022 18:49:26 +0000

budgie-desktop (10.6-1) experimental; urgency=medium

  * New upstream release
    - upstream release announcement in install changelog
    - Resolve SEGV when using not using ibus and ALT+L to switch
      sources (Closes: #999609)
    - Allow ibus suggestion window to display
      use-ibus-daemonize.patch (Closes: #985619)
  * Packaging Changes:
    - drop Add-support-for-mutter-10-GNOME42.patch since included in the
      new release
    - remove spurious changelog.ubuntu

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 06 Mar 2022 20:31:44 +0000

budgie-desktop (10.5.3+git20220217a-2) experimental; urgency=medium

  * Add mutter10 build support
    Add-support-for-mutter-10-GNOME42.patch
  * control: Update VCS fields to be valid packaging source repo
  * control: Build against mutter10

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 20 Feb 2022 22:42:10 +0000

budgie-desktop (10.5.3+git20220217a-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use canonical URL in Vcs-Git.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update standards version to 4.6.0, no changes needed.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libgnome-bluetooth-dev,
      libgtk-3-dev, libibus-1.0-dev, libnotify-dev and meson.
    + budgie-desktop: Drop versioned constraint on gir1.2-budgie-1.0 in
      Recommends.

  [ David Mohammed ]
  * git master release
    - commit 96ea41416016b82ebb847ef44ad97f42e4a3a76f
    - Drop the following patches since now in this git release
      meson-Drop-spurious-3rd-positional-argument-to-gnome.patch
      Add-Mutter-9-support-2165.patch
      0001-Switch-back-to-using-gnome-screensaver.patch
    - Refresh desktopfolder_exename.patch
  * Packaging Changes
    - d/copyright - remove superfluous translation copyright statement
      update copyright years to 2022
      update contact details for the new maintainers of budgie
    - Remove debian/*.1 man files since upstream build now installs these
    - d/rules build with gnome-screensaver; we previously patched this
      but now the git release incorporates the requisite changes
      d/control add gnome-screensaver to build-depends
    - Update symbols for revisions in the source.  These do not
      affect the public ABI/API
    - d/upstream/metadata update for the new maintainers of the
      budgie-desktop
    - d/watch update for the new maintainers repo
    - d/control update for the new maintainers repo

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 17 Feb 2022 18:41:32 +0000

budgie-desktop (10.5.3-5) unstable; urgency=medium

  * Resolve FTBFS
    add patch meson-Drop-spurious-3rd-positional-argument-to-gnome.patch
  * Packaging Changes
    update budgie-core.lintian-overrides to revise definition of
    mutter RUNPATH override

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 25 Jan 2022 19:18:55 +0000

budgie-desktop (10.5.3-4) unstable; urgency=medium

  * Upload to unstable
    - part of transition #996607
  * Packaging Changes
    - add dep3 headers to the two GNOME41/mutter-9 patches

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 17 Oct 2021 18:41:21 +0100

budgie-desktop (10.5.3-3) experimental; urgency=medium

  * Upload to experimental
    - add GNOME 41 support (Closes: #996107)
      Add-Mutter-9-support-2165.patch
      Require-GNOME-Stack-41-alpha.patch
  * Packaging Changes
    - control: update gnome-settings-daemon required version
               using mutter-9 for build-depends
               update gnome-desktop required version
    - budgie-core lintian-override custom-library-search-path updated

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 13 Oct 2021 22:07:30 +0100

budgie-desktop (10.5.3-2) unstable; urgency=medium

  * Upload to unstable
    - part of transition #992872


=== debian/control ===
Source: budgie-desktop
Section: x11
Priority: optional
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Homepage: https://github.com/buddiesofbudgie/budgie-desktop
Build-Depends:
 debhelper (>= 13),
 debhelper-compat (= 13),
 gir1.2-gee-0.8,
 gnome-common,
 gnome-settings-daemon-dev (>= 42~alpha),
 gobject-introspection,
 gtk-doc-tools,
 libaccountsservice-dev (>= 0.6.55),
 libasound2-dev,
 libgdk-pixbuf2.0-dev,
 libgee-0.8-dev,
 libglib2.0-dev (>= 2.64.0),
 libgnome-bluetooth-dev,
 libgnome-desktop-3-dev (>= 41.0),
 libgnome-menu-3-dev,
 libgtk-3-dev,
 libibus-1.0-dev,
 libmutter-10-dev,
 libnotify-dev,
 libpeas-dev,
 libpolkit-agent-1-dev,
 libpolkit-gobject-1-dev,
 libpulse-dev,
 libpulse-mainloop-glib0,
 libupower-glib-dev,
 libwnck-3-dev,
 gnome-screensaver,
 meson,
 sassc,
 uuid-dev,
 valac (>= 0.48.0),
Standards-Version: 4.6.0
Vcs-Browser: https://github.com/ubuntubudgie/budgie-desktop/tree/debian
Vcs-Git: https://github.com/ubuntubudgie/budgie-desktop.git -b debian
Rules-Requires-Root: no

Package: budgie-core
Architecture: any
Depends: gnome-settings-daemon,
 gnome-session-bin,
 gnome-session-common,
 gnome-screensaver,
 ${misc:Depends}, ${shlibs:Depends}
Description: Core package for Budgie-Desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GNOME-Session and Mutter.
 .
 This is the base package for budgie-desktop.  This package provides:
  GNOME Network Manager autostart file specifically for Budgie
  budgie-desktop plugins
  locales and icons for budgie-desktop
  budgie-desktop executables
  GLib schemas for budgie-desktop
  Session file for budgie-desktop

Package: budgie-core-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-budgie-1.0 (= ${binary:Version}),
 libbudgie-plugin0 (= ${binary:Version}),
 libbudgie-private0 (= ${binary:Version}),
 libbudgietheme0 (= ${binary:Version}),
 libglib2.0-dev,
 libgtk-3-dev,
 libpeas-dev,
 libraven0 (= ${binary:Version}),
 ${misc:Depends},
Suggests: budgie-desktop-doc
Description: Development package for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GNOME-Session and Mutter.
 .
 This package provides the development files allowing compilation
 through the budgie-desktop API.  This package provides:
  C Header files
  Vala .vapi files

Package: budgie-desktop
Architecture: all
Depends:
 budgie-core,
 budgie-control-center,
 gnome-menus,
 network-manager-gnome,
 ${misc:Depends}
Recommends: gir1.2-budgie-1.0, ${dist:Recommends}
Suggests: slick-greeter, ${dist:Suggests}
Description: Desktop package for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GNOME-Session and Mutter.
 .
 This package installs the minimal GNOME based package-set together with
 the key budgie-desktop packages to produce a working desktop
 environment.

Package: budgie-desktop-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Description: documentation files for the budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GNOME-Session and Mutter.
 .
 This package contains the API documentation in HTML format

Package: gir1.2-budgie-1.0
Section: introspection
Architecture: any
Replaces: gir1.2-budgie-desktop-1.0 (<< 10.3.2)
Breaks: gir1.2-budgie-desktop-1.0 (<< 10.3.2)
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: GNOME introspection library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GNOME-Session and Mutter.
 .
 This is the introspection library and allows creating plugins in
 python3, C and Vala

Package: libbudgie-plugin0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plugin library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GNOME-Session and Mutter.
 .
 This adds the plugin library to budgie-desktop

Package: libbudgie-private0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Budgie Private library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GNOME-Session and Mutter.
 .
 This provides a private ABI for raven and the budgie panel

Package: libbudgietheme0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Theme library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GNOME-Session and Mutter.
 .
 This adds the theme controls for budgie-desktop

Package: libraven0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Raven library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GNOME-Session and Mutter.
 .
 This provides the budgie-desktop user-defined settings called raven.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	SUBSTVARSREC = -Vdist:Recommends="nemo-desktop"
	SUBSTVARSSUG = -Vdist:Suggests="budgie-desktop-view"
else
	SUBSTVARSREC = -Vdist:Recommends="budgie-desktop-view"
	SUBSTVARSSUG = -Vdist:Suggests="gnome-terminal, nautilus"
endif

%:
	dh $@ --with gir

override_dh_clean:
	dh_clean
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)

	@if [ -e ./debian/ubuntu/applied ]; then \
		patch -R -p1 < debian/ubuntu/show_nm-applet_in_tray.patch ; \
		rm ./debian/ubuntu/applied ; \
	fi
endif

override_dh_auto_configure:
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
	patch -p1 < debian/ubuntu/show_nm-applet_in_tray.patch
	touch ./debian/ubuntu/applied
endif
	dh_auto_configure -- --prefix=/usr --libdir=/usr/lib -Dwith-gnome-screensaver=true

override_dh_gencontrol:
	dh_gencontrol -- $(SUBSTVARSREC) $(SUBSTVARSSUG)

override_dh_auto_install:
	dh_auto_install
	mkdir -p "$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/girepository-1.0"
	mv "$(CURDIR)/debian/tmp/usr/lib/girepository-1.0/Budgie-1.0.typelib" "$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/girepository-1.0"
	rm -rf "$(CURDIR)/debian/tmp/usr/lib/girepository-1.0"
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
	dh_install -pbudgie-desktop debian/15_budgie-desktop-ubuntu.gschema.override /usr/share/glib-2.0/schemas/
endif
ifeq ($(shell dpkg-vendor --is Debian && echo yes),yes)
	dh_install -pbudgie-desktop debian/15_budgie-desktop-debian.gschema.override /usr/share/glib-2.0/schemas/
endif

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog-announcement.txt

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://github.com/buddiesofbudgie/budgie-desktop/releases .*/budgie-desktop-v([0-9.]+)\.tar\.xz

## budgie-desktop 10.6.4+git20220830

=== debian/changelog ===
budgie-desktop (10.6.4+git20220830-3) unstable; urgency=medium

  * Upload to unstable to support the GNOME 43/mutter-11 transition

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 28 Sep 2022 14:50:45 +0100

budgie-desktop (10.6.4+git20220830-2) experimental; urgency=medium

  * Add patch to initialise ibus to prevent window manager crash
    Initialise-ibus-within-the-class-constructor.patch
  * d/control B/D on mutter-11
  * d/control B/D on libgdk-pixbuf-2.0-dev
    (closes: #1019308)

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 11 Sep 2022 22:15:41 +0100

budgie-desktop (10.6.4+git20220830-1) experimental; urgency=medium

  * git master release
    - resolve multiple issues with the workspace applet
    - update timezone if no custom timezone set
    - make notification popup body consistent avoiding large popups
      covering the screen
  * Packaging Changes
    d/control remove B/D and dependency on gnome-menu since no longer needed

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 30 Aug 2022 18:50:59 +0100

budgie-desktop (10.6.3+git20220821-1) experimental; urgency=medium

  * git master release
    - add support for mutter-11 (GNOME 43) when required for the
      GNOME 43 transition
    - drop patches Revert-the-xsession-rename.patch,
      Update-session-and-components-to-use-reverseDNS.patch and
      darktheme/0004-Bump-expected-supported-mutter-versions-GNOME-43-and.patch
      since included in this release

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 22 Aug 2022 11:57:27 +0100

budgie-desktop (10.6.2+git20220728-2) experimental; urgency=medium

  * Revert the xsession rename - this allows the desktop to
    launch from lightdm/slick-greeter
    Revert-the-xsession-rename.patch
  * Packaging Changes
    d/budgie-core.install - ensure built session file from the above
    patch is installed

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 10 Aug 2022 14:41:06 +0100

budgie-desktop (10.6.2+git20220728-1) experimental; urgency=medium

  * git master release
    - includes menu rewrite.  This introduces a new packaging
      library binary libappindexer0
    - drop fractional.patch since this is contained in this release
    - Resolve login issues due to reverseDNS changes
      Update-session-and-components-to-use-reverseDNS.patch
    - Resolve multi-keyboard layouts switching
      Rework-keyboard-handling-to-layouts-ibus-handling.patch
  * Packaging Changes
    d/rules correct ubuntu recommendation to use nemo rather than the
    invalid nemo-desktop package
    Correct lintian warning for screenshot man-page:
    screenshot/More-meaningful-name-description.patch
  * d/control add libbudgie-appindexer0 binary package
    d/control add libbudgie-appindexer0 to dev package
  * d/watch and d/upstream change to unsigned temporarily for this
    git tarball release
  * d/libbudgie-private0.symbols update
  * d/libbudgie-appindexer0.symbols create and populate
  * add d/budgie-core.maintscript to remove old budgie /etc config files;
    these have been replaced with reverseDNS named config files

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 28 Jul 2022 10:51:16 +0100

budgie-desktop (10.6.2-1) unstable; urgency=medium

  * New upstream bug-fix release
  * Packaging Changes
    drop screenshot/Regenerate-vapi-for-mutter-10.patch since included
    in this release
    drop fix-broken-C-std-for-gvc-subproject-146.patch since included
    in this release
    drop Add-short-delay-to-keyboard-sources.patch since does not resolve
    original issue and therefore is not needed.
    refresh to remove fuzz:
    screenshot/Introduce-our-native-screenshot-capability.patch
    d/changelog-announcement incorporates upstream release notice

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 15 Jul 2022 09:46:58 +0100

budgie-desktop (10.6.1-2) unstable; urgency=medium

  * Add native screenshot capability
    screenshot/Regenerate-vapi-for-mutter-10.patch
    screenshot/Introduce-our-native-screenshot-capability.patch
    screenshot/Improve-style-across-different-themes.patch
    screenshot/Fix-button-icon-disappearing-after-set_buttoncontent.patch
  * screenshot/Tidy-up-introduced-deprecations-and-make-menu-comman.patch
  * Add dark-light mode capability
    darktheme/0001-Support-freedesktop-color-scheme.patch
    darktheme/0002-Hook-up-color-scheme-and-some-logic-interaction-with.patch
    darktheme/0003-Add-another-GSD42-code-guard-to-prevent-segmentation.patch
    darktheme/0004-Bump-expected-supported-mutter-versions-GNOME-43-and.patch
    darktheme/0005-Logic-for-determining-light-dark-includes-looking-wi.patch
    darktheme/0006-Remove-last-remaining-and-obsolete-GSD42-guard.patch
  * Fix FTBFS due to C standard being assumed
    fix-broken-C-std-for-gvc-subproject-146.patch
  * Bug-fix
    - Update message displayed to users when fractional scaling is used
      to ensure the correct course of action (restart session) is done
      (LP: #1972007)
      fractional.patch
  * Packaging Changes
    d/control StandardsVersion bump
    d/control add B/D libgstreamer1.0-dev for screenshot patches
    d/budgie-core.manpages install budgie-screenshot man-page
    d/budgie-core.lintian-overrides update to incorporate [] syntax
    d/budgie-core-dev.lintian-overrides update to incorporate [] syntax

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 08 Jul 2022 13:27:51 +0100

=== debian/control ===
--- 
+++ 
@@ -13,15 +13,14 @@
  gtk-doc-tools,
  libaccountsservice-dev (>= 0.6.55),
  libasound2-dev,
- libgdk-pixbuf2.0-dev,
+ libgdk-pixbuf-2.0-dev,
  libgee-0.8-dev,
  libglib2.0-dev (>= 2.64.0),
  libgnome-bluetooth-dev,
  libgnome-desktop-3-dev (>= 41.0),
- libgnome-menu-3-dev,
  libgtk-3-dev,
  libibus-1.0-dev,
- libmutter-10-dev,
+ libmutter-11-dev,
  libnotify-dev,
  libpeas-dev,
  libpolkit-agent-1-dev,
@@ -31,11 +30,12 @@
  libupower-glib-dev,
  libwnck-3-dev,
  gnome-screensaver,
+ libgstreamer1.0-dev,
  meson,
  sassc,
  uuid-dev,
  valac (>= 0.48.0),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1.0
 Vcs-Browser: https://github.com/ubuntubudgie/budgie-desktop/tree/debian
 Vcs-Git: https://github.com/ubuntubudgie/budgie-desktop.git -b debian
 Rules-Requires-Root: no
@@ -70,6 +70,7 @@
  libbudgie-plugin0 (= ${binary:Version}),
  libbudgie-private0 (= ${binary:Version}),
  libbudgietheme0 (= ${binary:Version}),
+ libbudgie-appindexer0 (= ${binary:Version}),
  libglib2.0-dev,
  libgtk-3-dev,
  libpeas-dev,
@@ -93,7 +94,6 @@
 Depends:
  budgie-core,
  budgie-control-center,
- gnome-menus,
  network-manager-gnome,
  ${misc:Depends}
 Recommends: gir1.2-budgie-1.0, ${dist:Recommends}
@@ -190,3 +190,17 @@
  sub-systems such as GNOME-Session and Mutter.
  .
  This provides the budgie-desktop user-defined settings called raven.
+
+Package: libbudgie-appindexer0
+Section: libs
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Menu library for budgie-desktop
+ Budgie-Desktop is a GTK+ based desktop environment which focuses on
+ simplicity and elegance.  It provides a traditional desktop metaphor
+ based interface utilising customisable panel based menu driven system.
+ Budgie-Desktop is written from scratch utilising many GNOME based
+ sub-systems such as GNOME-Session and Mutter.
+ .
+ This manages all of the application and category menu states for
+ installed applications on the system.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
-	SUBSTVARSREC = -Vdist:Recommends="nemo-desktop"
+	SUBSTVARSREC = -Vdist:Recommends="nemo"
 	SUBSTVARSSUG = -Vdist:Suggests="budgie-desktop-view"
 else
 	SUBSTVARSREC = -Vdist:Recommends="budgie-desktop-view"

=== debian/watch ===
version=4
opts=filenamemangle=s/$/.asc/ https://github.com/buddiesofbudgie/budgie-desktop/releases .*/budgie-desktop-v([0-9.]+)\.tar\.xz

## budgie-desktop 10.6.4+git20221230

=== meson_options.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
 option('with-stateless', type: 'boolean', value: false, description: 'Enable stateless XDG paths')
+option('with-bluetooth', type: 'boolean', value: true, description: 'Enable Bluetooth (Vala option)')
+option('with-libuuid-time-safe', type: 'boolean', value: true, description: 'Enable use of LIBUUID.generate_time_safe (Vala option)')
 option('with-polkit', type: 'boolean', value: true, description: 'Enable PolKit support')
 option('with-gtk-doc', type: 'boolean', value: true, description: 'Build gtk-doc documentation')
 option('xdg-appdir', type: 'string', description: 'XDG autostart path')

=== debian/changelog ===
budgie-desktop (10.6.4+git20221230-2) unstable; urgency=medium

  * Packaging
    - d/control: Add runtime dependency on zenity to allow budgie-mutter
      based dialogs to display

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 09 Jan 2023 19:42:41 +0000

budgie-desktop (10.6.4+git20221230-1) unstable; urgency=medium

  * git master release
    upstream release dates will not coincide with debian freeze; git master
    has been used to provide the best experience for the stable release
    period
  * Fix for workspace icon sizing using the french locale
  * Native screenshot now incorporated in git master - associated
    patches have been dropped
  * Right-click window shows window options
  * Run dialog refactored - works across monitors

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 30 Dec 2022 14:34:35 +0000

budgie-desktop (10.6.4+git20220830-4) unstable; urgency=medium

  * Bug-fix
    - Ensure last keyboard layout used is the keyboard layout chosen
      on logon
      Add-a-small-delay-to-ensure-keyboard-layout-defaults.patch
      (LP: #1998214)
  * Packaging Changes
    - d/control budgie:update dependencies and suggestions for underlying
      required packages used in the source together with suggested packages
      to enhance the experience
    - d/control apply multiarch hint to budgie-desktop-doc
    - d/watch(.nopgp) update to resolve github release URL changes

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 29 Nov 2022 15:04:14 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  debhelper-compat (= 13),
  gir1.2-gee-0.8,
  gnome-common,
+ gnome-screensaver,
  gnome-settings-daemon-dev (>= 42~alpha),
  gobject-introspection,
  gtk-doc-tools,
@@ -18,6 +19,7 @@
  libglib2.0-dev (>= 2.64.0),
  libgnome-bluetooth-dev,
  libgnome-desktop-3-dev (>= 41.0),
+ libgstreamer1.0-dev,
  libgtk-3-dev,
  libibus-1.0-dev,
  libmutter-11-dev,
@@ -29,8 +31,6 @@
  libpulse-mainloop-glib0,
  libupower-glib-dev,
  libwnck-3-dev,
- gnome-screensaver,
- libgstreamer1.0-dev,
  meson,
  sassc,
  uuid-dev,
@@ -42,11 +42,14 @@
 
 Package: budgie-core
 Architecture: any
-Depends: gnome-settings-daemon,
+Depends:
+ gnome-screensaver,
  gnome-session-bin,
  gnome-session-common,
- gnome-screensaver,
- ${misc:Depends}, ${shlibs:Depends}
+ gnome-settings-daemon,
+ zenity,
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Core package for Budgie-Desktop
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
  simplicity and elegance.  It provides a traditional desktop metaphor
@@ -67,10 +70,10 @@
 Architecture: any
 Depends:
  gir1.2-budgie-1.0 (= ${binary:Version}),
+ libbudgie-appindexer0 (= ${binary:Version}),
  libbudgie-plugin0 (= ${binary:Version}),
  libbudgie-private0 (= ${binary:Version}),
  libbudgietheme0 (= ${binary:Version}),
- libbudgie-appindexer0 (= ${binary:Version}),
  libglib2.0-dev,
  libgtk-3-dev,
  libpeas-dev,
@@ -92,12 +95,19 @@
 Package: budgie-desktop
 Architecture: all
 Depends:
+ budgie-control-center,
  budgie-core,
- budgie-control-center,
+ dconf-cli,
+ ${misc:Depends},
  network-manager-gnome,
- ${misc:Depends}
+ xdotool,
 Recommends: gir1.2-budgie-1.0, ${dist:Recommends}
-Suggests: slick-greeter, ${dist:Suggests}
+Suggests:
+ arc-theme,
+ gnome-bluetooth-sendto,
+ papirus-icon-theme,
+ slick-greeter,
+ ${dist:Suggests},
 Description: Desktop package for budgie-desktop
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
  simplicity and elegance.  It provides a traditional desktop metaphor
@@ -114,6 +124,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: devhelp
+Multi-Arch: foreign
 Description: documentation files for the budgie-desktop
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
  simplicity and elegance.  It provides a traditional desktop metaphor
@@ -139,58 +150,6 @@
  This is the introspection library and allows creating plugins in
  python3, C and Vala
 
-Package: libbudgie-plugin0
-Section: libs
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Plugin library for budgie-desktop
- Budgie-Desktop is a GTK+ based desktop environment which focuses on
- simplicity and elegance.  It provides a traditional desktop metaphor
- based interface utilising customisable panel based menu driven system.
- Budgie-Desktop is written from scratch utilising many GNOME based
- sub-systems such as GNOME-Session and Mutter.
- .
- This adds the plugin library to budgie-desktop
-
-Package: libbudgie-private0
-Section: libs
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Budgie Private library for budgie-desktop
- Budgie-Desktop is a GTK+ based desktop environment which focuses on
- simplicity and elegance.  It provides a traditional desktop metaphor
- based interface utilising customisable panel based menu driven system.
- Budgie-Desktop is written from scratch utilising many GNOME based
- sub-systems such as GNOME-Session and Mutter.
- .
- This provides a private ABI for raven and the budgie panel
-
-Package: libbudgietheme0
-Section: libs
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Theme library for budgie-desktop
- Budgie-Desktop is a GTK+ based desktop environment which focuses on
- simplicity and elegance.  It provides a traditional desktop metaphor
- based interface utilising customisable panel based menu driven system.
- Budgie-Desktop is written from scratch utilising many GNOME based
- sub-systems such as GNOME-Session and Mutter.
- .
- This adds the theme controls for budgie-desktop
-
-Package: libraven0
-Section: libs
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Raven library for budgie-desktop
- Budgie-Desktop is a GTK+ based desktop environment which focuses on
- simplicity and elegance.  It provides a traditional desktop metaphor
- based interface utilising customisable panel based menu driven system.
- Budgie-Desktop is written from scratch utilising many GNOME based
- sub-systems such as GNOME-Session and Mutter.
- .
- This provides the budgie-desktop user-defined settings called raven.
-
 Package: libbudgie-appindexer0
 Section: libs
 Architecture: any
@@ -204,3 +163,55 @@
  .
  This manages all of the application and category menu states for
  installed applications on the system.
+
+Package: libbudgie-plugin0
+Section: libs
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Plugin library for budgie-desktop
+ Budgie-Desktop is a GTK+ based desktop environment which focuses on
+ simplicity and elegance.  It provides a traditional desktop metaphor
+ based interface utilising customisable panel based menu driven system.
+ Budgie-Desktop is written from scratch utilising many GNOME based
+ sub-systems such as GNOME-Session and Mutter.
+ .
+ This adds the plugin library to budgie-desktop
+
+Package: libbudgie-private0
+Section: libs
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Budgie Private library for budgie-desktop
+ Budgie-Desktop is a GTK+ based desktop environment which focuses on
+ simplicity and elegance.  It provides a traditional desktop metaphor
+ based interface utilising customisable panel based menu driven system.
+ Budgie-Desktop is written from scratch utilising many GNOME based
+ sub-systems such as GNOME-Session and Mutter.
+ .
+ This provides a private ABI for raven and the budgie panel
+
+Package: libbudgietheme0
+Section: libs
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Theme library for budgie-desktop
+ Budgie-Desktop is a GTK+ based desktop environment which focuses on
+ simplicity and elegance.  It provides a traditional desktop metaphor
+ based interface utilising customisable panel based menu driven system.
+ Budgie-Desktop is written from scratch utilising many GNOME based
+ sub-systems such as GNOME-Session and Mutter.
+ .
+ This adds the theme controls for budgie-desktop
+
+Package: libraven0
+Section: libs
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Raven library for budgie-desktop
+ Budgie-Desktop is a GTK+ based desktop environment which focuses on
+ simplicity and elegance.  It provides a traditional desktop metaphor
+ based interface utilising customisable panel based menu driven system.
+ Budgie-Desktop is written from scratch utilising many GNOME based
+ sub-systems such as GNOME-Session and Mutter.
+ .
+ This provides the budgie-desktop user-defined settings called raven.

## budgie-desktop 10.7.1

=== meson_options.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 option('with-stateless', type: 'boolean', value: false, description: 'Enable stateless XDG paths')
 option('with-bluetooth', type: 'boolean', value: true, description: 'Enable Bluetooth (Vala option)')
+option('with-hibernate', type: 'boolean', value: true, description: 'Include support for system hibernation')
 option('with-libuuid-time-safe', type: 'boolean', value: true, description: 'Enable use of LIBUUID.generate_time_safe (Vala option)')
 option('with-polkit', type: 'boolean', value: true, description: 'Enable PolKit support')
 option('with-gtk-doc', type: 'boolean', value: true, description: 'Build gtk-doc documentation')

=== debian/changelog ===
budgie-desktop (10.7.1-1) unstable; urgency=medium

  * Service release
  * Drop patches introduced in 10.7-2 since these are included in this
    release
    - Summary of changes beyond those in 10.7-2 :
      Fix inability to screenshot full-screen applications
    - Align BDS panel settings margins to be the same as raven settings
    - Updated Translations
    - Fix ellipsizing overflowing text in media control widget causing
      raven expansion
    - Add Mutter 12 ABI support if source is compiled with this version
  * Refresh patches
    - Rework-keyboard-handling-to-layouts-ibus-handling.patch
    - Initialise-ibus-within-the-class-constructor.patch
  * Correct schema names
    Fix-SoundOutput-and-Calendar-widget-settings-schemas.patch
  * Ensure Popovers position according to the scale-factor in use
    Fix-Gtk-gdk_x11_window_get_frame_extents.patch
  * Packaging changes
    d/libraven.symbols update with new symbols

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 23 Feb 2023 20:03:16 +0000

budgie-desktop (10.7-2) unstable; urgency=medium

  * Upload to unstable
  * Patches added
    - appindexer-Take-into-account-default-handlers-for-re.patch
      Adjust the relevancy score of applications relative to a search term
      based on if that application is the default handler for the MIME types
      it supports. This should make it more likely that applications set as
      default for a content type is shown above other applications.
    - feat-Automatically-update-Calendar-widget-when-showi.patch
      eliminates an unnecessary 30 second timer that existed for the purposes
      of highlighting the current day.
    - Ensure-screenshot-popover-labels-match-their-corresp.patch
      Display the correct keyboard label for the keyboard shortcut
    - Plugin-chooser-escape-description-markup-symbols-293.patch
      When a plugin has an "&" in their "description=" line in the .plugin
      file, the description fails to properly show. (set_markup error).
    - Test-if-the-window-of-type-desktop-before-taking-a-w.patch
      Where invoking the screenshot and taking a window screenshot of an
      empty desktop, the empty desktop displaying icons is actually a
      hidden window.  In this case we should take a full screenshot.
    - appindexer-Check-if-an-application-name-contains-a-s.patch
      make it easier to find applications by only typing a part of the
      application's name.
  * Packaging Changes:
    - update missing libbudgie-appindexer0 symbols

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 09 Feb 2023 22:05:01 +0000

budgie-desktop (10.7-1) experimental; urgency=medium

  * New upstream release
    upstream release announcement in install changelogs
  * Packaging Changes
    d/changelog-announcement incorporates upstream release notice
    d/rules install new BudgieRaven typelib in the girepository
    d/control add gir1.2-budgieraven-1.0 binary package
    d/control add libbudgie-raven-plugin0 binary package
    d/control clarify the description for libbudgie-plugin0
    d/control update budgie-core-dev dependencies for the new
    binaries
    d/watch and d/upstream change to signed for this upstream release
    d/libbudgie-private0.symbols update
    d/libraven0.symbols update
    d/libbudgie-raven-plugin.symbols create and populate
    d/copyright - update year to 2023, adjust specific copyright for files
     due to applet source restructure, remove copyright for polkitdialog
     since src files removed in upstream tarball
    d/copyright - replace CC-BY-SA copyright for the default.jpg file with
    CC0-1.0 since upstream has replaced the default.jpg image
    (See README for the revised license designation)
    Refresh Rework-keyboard-handling-to-layouts-ibus-handling.patch
    Refresh show-tray-icon.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 28 Jan 2023 23:32:08 +0000

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
  sassc,
  uuid-dev,
  valac (>= 0.48.0),
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://github.com/ubuntubudgie/budgie-desktop/tree/debian
 Vcs-Git: https://github.com/ubuntubudgie/budgie-desktop.git -b debian
 Rules-Requires-Root: no
@@ -70,6 +70,7 @@
 Architecture: any
 Depends:
  gir1.2-budgie-1.0 (= ${binary:Version}),
+ gir1.2-budgieraven-1.0 (= ${binary:Version}),
  libbudgie-appindexer0 (= ${binary:Version}),
  libbudgie-plugin0 (= ${binary:Version}),
  libbudgie-private0 (= ${binary:Version}),
@@ -101,7 +102,7 @@
  ${misc:Depends},
  network-manager-gnome,
  xdotool,
-Recommends: gir1.2-budgie-1.0, ${dist:Recommends}
+Recommends: gir1.2-budgie-1.0, gir1.2-budgieraven-1.0, ${dist:Recommends}
 Suggests:
  arc-theme,
  gnome-bluetooth-sendto,
@@ -150,6 +151,20 @@
  This is the introspection library and allows creating plugins in
  python3, C and Vala
 
+Package: gir1.2-budgieraven-1.0
+Section: introspection
+Architecture: any
+Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Description: GNOME introspection library for budgie-desktop (raven)
+ Budgie-Desktop is a GTK+ based desktop environment which focuses on
+ simplicity and elegance.  It provides a traditional desktop metaphor
+ based interface utilising customisable panel based menu driven system.
+ Budgie-Desktop is written from scratch utilising many GNOME based
+ sub-systems such as GNOME-Session and Mutter.
+ .
+ This is the introspection library and allows creating plugins in
+ python3, C and Vala for the raven sidebar
+
 Package: libbudgie-appindexer0
 Section: libs
 Architecture: any
@@ -164,6 +179,19 @@
  This manages all of the application and category menu states for
  installed applications on the system.
 
+Package: libbudgie-raven-plugin0
+Section: libs
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Raven Plugin library for budgie-desktop
+ Budgie-Desktop is a GTK+ based desktop environment which focuses on
+ simplicity and elegance.  It provides a traditional desktop metaphor
+ based interface utilising customisable panel based menu driven system.
+ Budgie-Desktop is written from scratch utilising many GNOME based
+ sub-systems such as GNOME-Session and Mutter.
+ .
+ This add the raven plugin library to budgie-desktop
+
 Package: libbudgie-plugin0
 Section: libs
 Architecture: any
@@ -175,7 +203,7 @@
  Budgie-Desktop is written from scratch utilising many GNOME based
  sub-systems such as GNOME-Session and Mutter.
  .
- This adds the plugin library to budgie-desktop
+ This adds the panel plugin library to budgie-desktop
 
 Package: libbudgie-private0
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -38,6 +38,7 @@
 	dh_auto_install
 	mkdir -p "$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/girepository-1.0"
 	mv "$(CURDIR)/debian/tmp/usr/lib/girepository-1.0/Budgie-1.0.typelib" "$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/girepository-1.0"
+	mv "$(CURDIR)/debian/tmp/usr/lib/girepository-1.0/BudgieRaven-1.0.typelib" "$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/girepository-1.0"
 	rm -rf "$(CURDIR)/debian/tmp/usr/lib/girepository-1.0"
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
 	dh_install -pbudgie-desktop debian/15_budgie-desktop-ubuntu.gschema.override /usr/share/glib-2.0/schemas/

## budgie-desktop 10.8

=== meson_options.txt ===
option('use-old-zenity', type: 'boolean', value: false, description: 'Use old zenity CLI API for out-of-process dialog handling')
option('with-bluetooth', type: 'boolean', value: true, description: 'Enable Bluetooth (Vala option)')
option('with-gnome-screensaver', type: 'boolean', value: false, description: 'Build using gnome-screensaver as a dependency')
option('with-gtk-doc', type: 'boolean', value: true, description: 'Build gtk-doc documentation')
option('with-hibernate', type: 'boolean', value: true, description: 'Include support for system hibernation')
option('with-libuuid-time-safe', type: 'boolean', value: true, description: 'Enable use of LIBUUID.generate_time_safe (Vala option)')
option('with-polkit', type: 'boolean', value: true, description: 'Enable PolKit support')
option('with-stateless', type: 'boolean', value: false, description: 'Enable stateless XDG paths')
option('xdg-appdir', type: 'string', description: 'XDG autostart path')

=== debian/changelog ===
budgie-desktop (10.8-2ubuntu3) mantic; urgency=medium

  * Bug-fix
    - Ensure popover power setting on login match BCC (LP: #2038094)
      Move-below-initialization-of-radio-buttons-434.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 02 Oct 2023 19:05:35 +0100

budgie-desktop (10.8-2ubuntu2) mantic; urgency=medium

  * Bug fix
    - resolve 3 keyboard layout issue where 2nd keyboard layout always
      defaults to US
      Merge existing ibus patches into one patch
      Rework-keyboard-ibus-handling.patch
      Drop the following ibus related patches
      Add-a-small-delay-to-ensure-keyboard-layout-defaults.patch
      Initialise-ibus-within-the-class-constructor.patch
      use-ibus-daemonize.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 06 Sep 2023 23:11:34 +0100

budgie-desktop (10.8-2ubuntu1) mantic; urgency=medium

  * Upload to mantic (LP: #2032132)
  * Packaging Changes
    - d/control B/D change from mutter to magpie
    - d/budgie-core.lintian-overrides change from mutter to magpie

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 21 Aug 2023 19:53:18 +0100

budgie-desktop (10.8-2) unstable; urgency=medium

  * Upload to unstable to support the GNOME 44/mutter-12 transition
    (Closes: #1050149)
  * Add missing changelog-announcement.txt entry for v10.8

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 21 Aug 2023 19:05:07 +0100

budgie-desktop (10.8-1) experimental; urgency=medium

  * New upstream release
    - upstream release announcement in install changelogs
    - Support appindicators
      allow-AppIndicator-if-System-Tray-is-not-present.patch
    - Drop show-tray-icon.patch since now obsolete with v10.8
  * Packaging changes
    - d/rules - drop ubuntu specific patch show-tray-icon
    - d/libraven0.symbols refresh changed symbols
    - d/libbudgie-appindexer0.symbols refresh changed symbols

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 20 Aug 2023 18:18:36 +0100

budgie-desktop (10.7.2-0.1) experimental; urgency=medium

  * NMU (non-maintainer upload)
    - verified by the maintainer David Mohammed
  * New upstream release
  * Drop patches introduced in 10.7.1-1 since these are included in this
    release
    - Fix-SoundOutput-and-Calendar-widget-settings-schemas.patch
    - Fix-Gtk-gdk_x11_window_get_frame_extents.patch
  * Refresh patches
    - Rework-keyboard-handling-to-layouts-ibus-handling.patch
  * Packaging changes
    - d/changelog-announcement incorporates upstream release notice
    - d/control build-depends on libmutter-12
    - d/control B/D remove all version checks since no longer needed
    - d/control add zenity to build-depends
    - d/rules build with use-old-zenity=true
    - d/libraven.symbols update with new symbols

 -- Samuel Lane <samlane00@gmail.com>  Sat, 01 Jul 2023 16:57:57 -0400

=== debian/control ===
--- 
+++ 
@@ -9,20 +9,20 @@
  gir1.2-gee-0.8,
  gnome-common,
  gnome-screensaver,
- gnome-settings-daemon-dev (>= 42~alpha),
+ gnome-settings-daemon-dev,
  gobject-introspection,
  gtk-doc-tools,
- libaccountsservice-dev (>= 0.6.55),
+ libaccountsservice-dev,
  libasound2-dev,
  libgdk-pixbuf-2.0-dev,
  libgee-0.8-dev,
- libglib2.0-dev (>= 2.64.0),
+ libglib2.0-dev,
  libgnome-bluetooth-dev,
- libgnome-desktop-3-dev (>= 41.0),
+ libgnome-desktop-3-dev,
  libgstreamer1.0-dev,
  libgtk-3-dev,
  libibus-1.0-dev,
- libmutter-11-dev,
+ libmagpie-0-dev,
  libnotify-dev,
  libpeas-dev,
  libpolkit-agent-1-dev,
@@ -34,7 +34,8 @@
  meson,
  sassc,
  uuid-dev,
- valac (>= 0.48.0),
+ valac,
+ zenity,
 Standards-Version: 4.6.2
 Vcs-Browser: https://github.com/ubuntubudgie/budgie-desktop/tree/debian
 Vcs-Git: https://github.com/ubuntubudgie/budgie-desktop.git -b debian

=== debian/rules ===
--- 
+++ 
@@ -14,22 +14,8 @@
 %:
 	dh $@ --with gir
 
-override_dh_clean:
-	dh_clean
-ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
-
-	@if [ -e ./debian/ubuntu/applied ]; then \
-		patch -R -p1 < debian/ubuntu/show_nm-applet_in_tray.patch ; \
-		rm ./debian/ubuntu/applied ; \
-	fi
-endif
-
 override_dh_auto_configure:
-ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
-	patch -p1 < debian/ubuntu/show_nm-applet_in_tray.patch
-	touch ./debian/ubuntu/applied
-endif
-	dh_auto_configure -- --prefix=/usr --libdir=/usr/lib -Dwith-gnome-screensaver=true
+	dh_auto_configure -- --prefix=/usr --libdir=/usr/lib -Dwith-gnome-screensaver=true -Duse-old-zenity=true
 
 override_dh_gencontrol:
 	dh_gencontrol -- $(SUBSTVARSREC) $(SUBSTVARSSUG)
